Class Index | File Index

## Classes

- _Association
- _global_
- Dataset
- ManyToMany
- ManyToOne
- MayToOne
- Migrations
- Model
- moose
- moose.adapters
- moose.adapters.client.Client
- moose.adapters.client.ConnectionPool
- moose.adapters.client.mysql.ConnectionPool
- moose.adapters.client.mysql.Query
- moose.adapters.client.mysql.TransactionQuery
- moose.adapters.mysql
- moose.adapters.mysql.types
- moose.plugins
- moose.plugins.AssociationPlugin
- moose.plugins.CachePlugin
- moose.plugins.QueryPlugin
- moose.plugins.TimeStampPlugin
- moose.Table
- OneToMany
- SQL
- Type

# Class moose.adapters.client.mysql.TransactionQuery

Sub class of query to handle transaction based queries. NOTE this class is not publicly exposed, but returned from calling getConnection on moose.transaction
Defined in: mysql.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| moose.adapters.client.mysql.TransactionQuery(pool, forceClose=false, database)

Method Summary
Method Attributes | Method Name and Description
--- | ---
| commit() Call to commit a transaction.
| rollback() Call to rollback a transaction.

Class Detail
moose.adapters.client.mysql.TransactionQuery(pool, forceClose=false, database)

Parameters:
{moose.adapters.mysql.ConnectionPool} pool
  the pool to retrieve connections from.
{Boolean} forceClose=false
  whether or not to force close the connection
{String} database Optional
  the database to connect to when querying.

Method Detail
{comb.Promise} commit()
Call to commit a transaction.

Returns:
  {comb.Promise} called back after the commit has finished.

{comb.Promise} rollback()
Call to rollback a transaction.

Returns:
  {comb.Promise} called back after the rollback has finished.

Documentation generated by JsDoc Toolkit 2.4.0 on Sat Jun 11 2011 03:16:40 GMT-0500 (CDT)